#
# spec file for package perl-Tie-Cycle
#
# Copyright (c) 2017 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           perl-Tie-Cycle
Version:        1.225
Release:        lp150.1.7
%define cpan_name Tie-Cycle
Summary:        Cycle through a list of values via a scalar
License:        Artistic-2.0
Group:          Development/Libraries/Perl
Url:            http://search.cpan.org/dist/Tie-Cycle/
Source0:        https://cpan.metacpan.org/authors/id/B/BD/BDFOY/%{cpan_name}-%{version}.tar.gz
Source1:        cpanspec.yml
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.95
%{perl_requires}

%description
You use 'Tie::Cycle' to go through a list over and over again. Once you get
to the end of the list, you go back to the beginning. You don't have to
worry about any of this since the magic of tie does that for you.

The tie takes an array reference as its third argument. The tie should
succeed unless the argument is not an array reference. Previous versions
required you to use an array that had more than one element (what's the
pointing of looping otherwise?), but I've removed that restriction since
the number of elements you want to use may change depending on the
situation.

During the tie, this module makes a shallow copy of the array reference. If
the array reference contains references, and those references are changed
after the tie, the elements of the cycle will change as well. See the
included _test.pl_ script for an example of this effect.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes CONTRIBUTING.md examples
%license LICENSE

%changelog
* Mon Jul 10 2017 coolo@suse.com
- updated to 1.225
  see /usr/share/doc/packages/perl-Tie-Cycle/Changes
  1.225 2017-07-09T17:49:10Z
  * Bump the version to reindex (See https://github.com/andk/pause/issues/248 )
* Wed Apr 19 2017 coolo@suse.com
- updated to 1.224
  see /usr/share/doc/packages/perl-Tie-Cycle/Changes
  1.224 2017-04-18T11:41:22Z
  * Fix up various dist things and clarify that this is under
  the Artistic License 2.0.
* Tue Feb 14 2017 coolo@suse.com
- updated to 1.222
  see /usr/share/doc/packages/perl-Tie-Cycle/Changes
  1.222 2017-01-20T11:30:37Z
  * The module seems to have disappeared from CPAN, so I'm
  re-uploading.
* Sun Feb  7 2016 coolo@suse.com
- updated to 1.221
  see /usr/share/doc/packages/perl-Tie-Cycle/Changes
* Tue Apr 14 2015 coolo@suse.com
- updated to 1.21
  see /usr/share/doc/packages/perl-Tie-Cycle/Changes
  1.21 - Fri Oct  3 22:08:25 2014
  * Update Makefile for better META data
  1.19_01 - Mon Sep  2 10:51:42 2013
  * Take out // (5.10 feature I used without thought) to restore
  5.8 compatibility.
* Fri Oct  4 2013 coolo@suse.com
- updated to 1.19
  * Update for modern usage, better code
  * I use this as an example in Mastering Perl, so I shouldn't
    leave embarrassing practices in the code. :)
* Fri Jun 28 2013 coolo@suse.com
- initial package 1.17
  * created by cpanspec 1.78.06
